#1 Update Python 2 dependency declarations to new packaging standards
Merged 5 years ago by ishcherb. Opened 6 years ago by ishcherb.
rpms/ ishcherb/nordugrid-arc pyambiguous  into  master

file modified
+19 -19
@@ -55,7 +55,7 @@ 

  

  Name:		nordugrid-arc

  Version:	5.4.2

- Release:	3%{?dist}

+ Release:	4%{?dist}

  Summary:	Advanced Resource Connector Grid Middleware

  License:	ASL 2.0

  URL:		http://www.nordugrid.org/
@@ -138,9 +138,8 @@ 

  BuildRequires:	perl(Test::Simple)

  # Needed to run ACIX unit tests

  %if %{with_acix}

- BuildRequires:	python-twisted-core

- BuildRequires:	python-twisted-web

- BuildRequires:	pyOpenSSL

+ BuildRequires:	python2-twisted

+ BuildRequires:	python2-pyOpenSSL

  %endif

  BuildRequires:	selinux-policy-devel

  BuildRequires:	checkpolicy
@@ -309,8 +308,8 @@ 

  Requires(post):		policycoreutils-python-utils

  Requires(postun):	policycoreutils-python-utils

  %else

- Requires(post):		policycoreutils-python

- Requires(postun):	policycoreutils-python

+ Requires(post):		python2-policycoreutils

+ Requires(postun):	python2-policycoreutils

  %endif

  

  %description ldap-infosys
@@ -346,8 +345,8 @@ 

  Requires(post):		policycoreutils-python-utils

  Requires(postun):	policycoreutils-python-utils

  %else

- Requires(post):		policycoreutils-python

- Requires(postun):	policycoreutils-python

+ Requires(post):		python2-policycoreutils

+ Requires(postun):	python2-policycoreutils

  %endif

  

  %description aris
@@ -434,8 +433,8 @@ 

  %else

  Requires:	stomppy

  %endif

- Requires:	python-ldap

- Requires:	python-dirq

+ Requires:	python2-ldap

+ Requires:	python2-dirq

  

  %if %{use_systemd}

  Requires(post):		systemd-units
@@ -539,9 +538,8 @@ 

  %package acix-core

  Summary:	ARC cache index - core

  BuildArch:	noarch

- Requires:	python-twisted-core

- Requires:	python-twisted-web

- Requires:	pyOpenSSL

+ Requires:	python2-twisted

+ Requires:	python2-pyOpenSSL

  

  %if %{use_systemd}

  Requires(post):		systemd-units
@@ -564,9 +562,8 @@ 

  %package acix-cache

  Summary:	ARC cache index - cache server

  BuildArch:	noarch

- Requires:	python-twisted-core

- Requires:	python-twisted-web

- Requires:	pyOpenSSL

+ Requires:	python2-twisted

+ Requires:	python2-pyOpenSSL

  Requires:	%{name}-acix-core = %{version}-%{release}

  

  %if %{use_systemd}
@@ -592,9 +589,8 @@ 

  %package acix-index

  Summary:	ARC cache index - index server

  BuildArch:	noarch

- Requires:	python-twisted-core

- Requires:	python-twisted-web

- Requires:	pyOpenSSL

+ Requires:	python2-twisted

+ Requires:	python2-pyOpenSSL

  Requires:	%{name}-acix-core = %{version}-%{release}

  

  %description acix-index
@@ -1690,6 +1686,10 @@ 

  %doc %{_mandir}/man1/arcperftest.1*

  

  %changelog

+ * Tue Feb 20 2018 Iryna Shcherbina <ishcherb@redhat.com> - 5.4.2-4

+ - Update Python 2 dependency declarations to new packaging standards

+   (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

+ 

  * Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 5.4.2-3

  - Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

  

This package uses names with ambiguous python- prefix in requirements.

According to Fedora Packaging guidelines for Python, packages must use names with either python2- or python3- prefix in requirements where available.
We are aiming to rename python-* dependencies to python2-*, so we can later switch the python-* namespace to Python 3.

This PR is part of Fedora's Switch to Python 3 effort.

Note that, although this PR was created automatically, we will respond to any comments or issues which you might find with it. We will keep the PR open for review for a week, and if there's no feedback we'll merge it. There is no need to build the package right after merge, this change can wait for the next package rebuild.
The local mock build passed, for Koji scratch build please see simple-koji-ci result.

Note: please do not backport this to f26, f27 branches, as some of the modified requirements are not available there

This PR was opened automatically, for source code see here

Pull-Request has been merged by ishcherb

5 years ago